---
http_interactions:
- request:
    method: get
    uri: https://api.github.com/repos/maybe-finance/maybe/releases
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - application/vnd.github.v3+json
      User-Agent:
      - Octokit Ruby Gem 9.1.0
      Content-Type:
      - application/json
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Mon, 09 Sep 2024 20:03:24 GMT
      Content-Type:
      - application/json; charset=utf-8
      Cache-Control:
      - public, max-age=60, s-maxage=60
      Vary:
      - Accept,Accept-Encoding, Accept, X-Requested-With
      Etag:
      - W/"17af70a435e3513d63e7fe569e0863ad17c500158f39055d1b1cab704ab54b96"
      X-Github-Media-Type:
      - github.v3; format=json
      X-Github-Api-Version-Selected:
      - '2022-11-28'
      Access-Control-Expose-Headers:
      - ETag, Link, Location, Retry-After, X-GitHub-OTP, X-RateLimit-Limit, X-RateLimit-Remaining,
        X-RateLimit-Used, X-RateLimit-Resource, X-RateLimit-Reset, X-OAuth-Scopes,
        X-Accepted-OAuth-Scopes, X-Poll-Interval, X-GitHub-Media-Type, X-GitHub-SSO,
        X-GitHub-Request-Id, Deprecation, Sunset
      Access-Control-Allow-Origin:
      - "*"
      Strict-Transport-Security:
      - max-age=31536000; includeSubdomains; preload
      X-Frame-Options:
      - deny
      X-Content-Type-Options:
      - nosniff
      X-Xss-Protection:
      - '0'
      Referrer-Policy:
      - origin-when-cross-origin, strict-origin-when-cross-origin
      Content-Security-Policy:
      - default-src 'none'
      Server:
      - github.com
      X-Ratelimit-Limit:
      - '60'
      X-Ratelimit-Remaining:
      - '57'
      X-Ratelimit-Reset:
      - '1725915804'
      X-Ratelimit-Resource:
      - core
      X-Ratelimit-Used:
      - '3'
      Accept-Ranges:
      - bytes
      Content-Length:
      - '52546'
      X-Github-Request-Id:
      - E979:365B86:C03B37:171BC72:66DF5497
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        [encoded data, 70064 characters]
  recorded_at: Mon, 09 Sep 2024 20:03:35 GMT
- request:
    method: post
    uri: https://api.github.com/markdown
    body:
      encoding: UTF-8
      string: '{"mode":"gfm","context":"maybe-finance/maybe","text":"This week''s
        release comes with a variety of bug fixes and improvements to the UI.\r\n\r\nAdditionally,
        users can now input details for their property and vehicle accounts as shown
        in the video below.  In the near future, Maybe will support data providers
        related to the \"valuation\" of properties and vehicles (i.e. Zillow, KBB).  We
        will use the information from user accounts to automatically fetch estimated
        market values for these assets which will then be added periodically as \"Valuations\"
        in the value tab of each account.  This will then show up in the history graph
        for the account balance.\r\n\r\nhttps://github.com/user-attachments/assets/fd759c82-a25c-4c8d-8f16-f577e0410fb5\r\n\r\n##
        What''s Changed\r\n\r\n* Refactor: Allow other import files by @pedrocarmona
        in https://github.com/maybe-finance/maybe/pull/1099\r\n* Bump sentry-ruby
        from 5.18.2 to 5.19.0 by @dependabot in https://github.com/maybe-finance/maybe/pull/1108\r\n*
        Bump stimulus-rails from 1.3.3 to 1.3.4 by @dependabot in https://github.com/maybe-finance/maybe/pull/1106\r\n*
        Bump aws-sdk-s3 from 1.157.0 to 1.158.0 by @dependabot in https://github.com/maybe-finance/maybe/pull/1105\r\n*
        Bump ruby-lsp-rails from 0.3.12 to 0.3.13 by @dependabot in https://github.com/maybe-finance/maybe/pull/1107\r\n*
        Bump propshaft from 0.9.0 to 0.9.1 by @dependabot in https://github.com/maybe-finance/maybe/pull/1104\r\n*
        Bump good_job from 4.1.1 to 4.2.0 by @dependabot in https://github.com/maybe-finance/maybe/pull/1102\r\n*
        Bump tailwindcss-rails from 2.7.2 to 2.7.3 by @dependabot in https://github.com/maybe-finance/maybe/pull/1103\r\n*
        Fix query when account has zero income and expense by @zachgoll in https://github.com/maybe-finance/maybe/pull/1112\r\n*
        Fix holding name error by @zachgoll in https://github.com/maybe-finance/maybe/pull/1113\r\n*
        Add Property Details View by @zachgoll in https://github.com/maybe-finance/maybe/pull/1116\r\n*
        Basic Vehicle View by @zachgoll in https://github.com/maybe-finance/maybe/pull/1117\r\n*
        Rubocop updates by @zachgoll in https://github.com/maybe-finance/maybe/pull/1118\r\n*
        Fix file upload UI opening twice by @zachgoll in https://github.com/maybe-finance/maybe/pull/1119\r\n\r\n\r\n**Full
        Changelog**: https://github.com/maybe-finance/maybe/compare/v0.1.0-alpha.15...v0.1.0-alpha.16"}'
    headers:
      Accept:
      - application/vnd.github.raw
      User-Agent:
      - Octokit Ruby Gem 9.1.0
      Content-Type:
      - application/json
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Mon, 09 Sep 2024 20:03:35 GMT
      Content-Type:
      - text/html;charset=utf-8
      X-Commonmarker-Version:
      - 0.23.10
      Cache-Control:
      - public, max-age=60, s-maxage=60
      Vary:
      - Accept,Accept-Encoding, Accept, X-Requested-With
      Etag:
      - W/"4b6d4a2163bd3920fb140d306008bd394fd881338320e3400547c6833368f2ea"
      X-Github-Media-Type:
      - github.v3; param=raw
      X-Github-Api-Version-Selected:
      - '2022-11-28'
      Access-Control-Expose-Headers:
      - ETag, Link, Location, Retry-After, X-GitHub-OTP, X-RateLimit-Limit, X-RateLimit-Remaining,
        X-RateLimit-Used, X-RateLimit-Resource, X-RateLimit-Reset, X-OAuth-Scopes,
        X-Accepted-OAuth-Scopes, X-Poll-Interval, X-GitHub-Media-Type, X-GitHub-SSO,
        X-GitHub-Request-Id, Deprecation, Sunset
      Access-Control-Allow-Origin:
      - "*"
      Strict-Transport-Security:
      - max-age=31536000; includeSubdomains; preload
      X-Frame-Options:
      - deny
      X-Content-Type-Options:
      - nosniff
      X-Xss-Protection:
      - '0'
      Referrer-Policy:
      - origin-when-cross-origin, strict-origin-when-cross-origin
      Content-Security-Policy:
      - default-src 'none'
      Server:
      - github.com
      X-Ratelimit-Limit:
      - '60'
      X-Ratelimit-Remaining:
      - '56'
      X-Ratelimit-Reset:
      - '1725915804'
      X-Ratelimit-Resource:
      - core
      X-Ratelimit-Used:
      - '4'
      Accept-Ranges:
      - bytes
      Content-Length:
      - '12673'
      X-Github-Request-Id:
      - E97A:2198A3:C56E5C:17C26E8:66DF5497
    body:
      encoding: ASCII-8BIT
      string: |-
        <p dir="auto">This week's release comes with a variety of bug fixes and improvements to the UI.</p>
        <p dir="auto">Additionally, users can now input details for their property and vehicle accounts as shown in the video below.  In the near future, Maybe will support data providers related to the "valuation" of properties and vehicles (i.e. Zillow, KBB).  We will use the information from user accounts to automatically fetch estimated market values for these assets which will then be added periodically as "Valuations" in the value tab of each account.  This will then show up in the history graph for the account balance.</p>
        <details open="" class="details-reset border rounded-2">
          <summary class="px-3 py-2">
            <svg aria-hidden="true" height="16" viewBox="0 0 16 16" version="1.1" width="16" data-view-component="true" class="octicon octicon-device-camera-video">
            <path d="M16 3.75v8.5a.75.75 0 0 1-1.136.643L11 10.575v.675A1.75 1.75 0 0 1 9.25 13h-7.5A1.75 1.75 0 0 1 0 11.25v-6.5C0 3.784.784 3 1.75 3h7.5c.966 0 1.75.784 1.75 1.75v.675l3.864-2.318A.75.75 0 0 1 16 3.75Zm-6.5 1a.25.25 0 0 0-.25-.25h-7.5a.25.25 0 0 0-.25.25v6.5c0 .138.112.25.25.25h7.5a.25.25 0 0 0 .25-.25v-6.5ZM11 8.825l3.5 2.1v-5.85l-3.5 2.1Z"></path>
        </svg>
            <span aria-label="Video description CleanShot.2024-08-23.at.10.37.04.mp4" class="m-1">CleanShot.2024-08-23.at.10.37.04.mp4</span>
            <span class="dropdown-caret"></span>
          </summary>

          <video src="https://private-user-images.githubusercontent.com/16676157/360965341-fd759c82-a25c-4c8d-8f16-f577e0410fb5.mp4?jwt=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJnaXRodWIuY29tIiwiYXVkIjoicmF3LmdpdGh1YnVzZXJjb250ZW50LmNvbSIsImtleSI6ImtleTUiLCJleHAiOjE3MjU5MTI1MTUsIm5iZiI6MTcyNTkxMjIxNSwicGF0aCI6Ii8xNjY3NjE1Ny8zNjA5NjUzNDEtZmQ3NTljODItYTI1Yy00YzhkLThmMTYtZjU3N2UwNDEwZmI1Lm1wND9YLUFtei1BbGdvcml0aG09QVdTNC1ITUFDLVNIQTI1NiZYLUFtei1DcmVkZW50aWFsPUFLSUFWQ09EWUxTQTUzUFFLNFpBJTJGMjAyNDA5MDklMkZ1cy1lYXN0LTElMkZzMyUyRmF3czRfcmVxdWVzdCZYLUFtei1EYXRlPTIwMjQwOTA5VDIwMDMzNVomWC1BbXotRXhwaXJlcz0zMDAmWC1BbXotU2lnbmF0dXJlPTY3ZGFmNDhhYTVmMGU3YWQ3MjA1YjZhN2NjY2EzNjdjODU5NGVhMGI3ZGE4MDAxMjlkNDdlNTY0MGY3ODRmYTkmWC1BbXotU2lnbmVkSGVhZGVycz1ob3N0JmFjdG9yX2lkPTAma2V5X2lkPTAmcmVwb19pZD0wIn0.cJ7HYOJZbnsjGcleqfz-0njFB6Z8zpBXsB9PprFe1uQ" data-canonical-src="https://private-user-images.githubusercontent.com/16676157/360965341-fd759c82-a25c-4c8d-8f16-f577e0410fb5.mp4?jwt=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJnaXRodWIuY29tIiwiYXVkIjoicmF3LmdpdGh1YnVzZXJjb250ZW50LmNvbSIsImtleSI6ImtleTUiLCJleHAiOjE3MjU5MTI1MTUsIm5iZiI6MTcyNTkxMjIxNSwicGF0aCI6Ii8xNjY3NjE1Ny8zNjA5NjUzNDEtZmQ3NTljODItYTI1Yy00YzhkLThmMTYtZjU3N2UwNDEwZmI1Lm1wND9YLUFtei1BbGdvcml0aG09QVdTNC1ITUFDLVNIQTI1NiZYLUFtei1DcmVkZW50aWFsPUFLSUFWQ09EWUxTQTUzUFFLNFpBJTJGMjAyNDA5MDklMkZ1cy1lYXN0LTElMkZzMyUyRmF3czRfcmVxdWVzdCZYLUFtei1EYXRlPTIwMjQwOTA5VDIwMDMzNVomWC1BbXotRXhwaXJlcz0zMDAmWC1BbXotU2lnbmF0dXJlPTY3ZGFmNDhhYTVmMGU3YWQ3MjA1YjZhN2NjY2EzNjdjODU5NGVhMGI3ZGE4MDAxMjlkNDdlNTY0MGY3ODRmYTkmWC1BbXotU2lnbmVkSGVhZGVycz1ob3N0JmFjdG9yX2lkPTAma2V5X2lkPTAmcmVwb19pZD0wIn0.cJ7HYOJZbnsjGcleqfz-0njFB6Z8zpBXsB9PprFe1uQ" controls="controls" muted="muted" class="d-block rounded-bottom-2 border-top width-fit" style="max-height:640px; min-height: 200px">

          </video>
        </details>

        <h2 dir="auto">What's Changed</h2>
        <ul dir="auto">
        <li>Refactor: Allow other import files by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/pedrocarmona/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/pedrocarmona">@pedrocarmona</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2471575614" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1099" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1099/hovercard" href="https://github.com/maybe-finance/maybe/pull/1099">#1099</a></li>
        <li>Bump sentry-ruby from 5.18.2 to 5.19.0 by <a class="user-mention notranslate" data-hovercard-type="organization" data-hovercard-url="/orgs/dependabot/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/dependabot">@dependabot</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2472705424" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1108" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1108/hovercard" href="https://github.com/maybe-finance/maybe/pull/1108">#1108</a></li>
        <li>Bump stimulus-rails from 1.3.3 to 1.3.4 by <a class="user-mention notranslate" data-hovercard-type="organization" data-hovercard-url="/orgs/dependabot/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/dependabot">@dependabot</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2472704588" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1106" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1106/hovercard" href="https://github.com/maybe-finance/maybe/pull/1106">#1106</a></li>
        <li>Bump aws-sdk-s3 from 1.157.0 to 1.158.0 by <a class="user-mention notranslate" data-hovercard-type="organization" data-hovercard-url="/orgs/dependabot/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/dependabot">@dependabot</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2472704205" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1105" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1105/hovercard" href="https://github.com/maybe-finance/maybe/pull/1105">#1105</a></li>
        <li>Bump ruby-lsp-rails from 0.3.12 to 0.3.13 by <a class="user-mention notranslate" data-hovercard-type="organization" data-hovercard-url="/orgs/dependabot/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/dependabot">@dependabot</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2472704965" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1107" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1107/hovercard" href="https://github.com/maybe-finance/maybe/pull/1107">#1107</a></li>
        <li>Bump propshaft from 0.9.0 to 0.9.1 by <a class="user-mention notranslate" data-hovercard-type="organization" data-hovercard-url="/orgs/dependabot/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/dependabot">@dependabot</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2472703805" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1104" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1104/hovercard" href="https://github.com/maybe-finance/maybe/pull/1104">#1104</a></li>
        <li>Bump good_job from 4.1.1 to 4.2.0 by <a class="user-mention notranslate" data-hovercard-type="organization" data-hovercard-url="/orgs/dependabot/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/dependabot">@dependabot</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2472702919" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1102" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1102/hovercard" href="https://github.com/maybe-finance/maybe/pull/1102">#1102</a></li>
        <li>Bump tailwindcss-rails from 2.7.2 to 2.7.3 by <a class="user-mention notranslate" data-hovercard-type="organization" data-hovercard-url="/orgs/dependabot/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/dependabot">@dependabot</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2472703362" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1103" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1103/hovercard" href="https://github.com/maybe-finance/maybe/pull/1103">#1103</a></li>
        <li>Fix query when account has zero income and expense by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2476405724" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1112" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1112/hovercard" href="https://github.com/maybe-finance/maybe/pull/1112">#1112</a></li>
        <li>Fix holding name error by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2476568556" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1113" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1113/hovercard" href="https://github.com/maybe-finance/maybe/pull/1113">#1113</a></li>
        <li>Add Property Details View by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2481914012" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1116" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1116/hovercard" href="https://github.com/maybe-finance/maybe/pull/1116">#1116</a></li>
        <li>Basic Vehicle View by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2483159382" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1117" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1117/hovercard" href="https://github.com/maybe-finance/maybe/pull/1117">#1117</a></li>
        <li>Rubocop updates by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2483227380" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1118" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1118/hovercard" href="https://github.com/maybe-finance/maybe/pull/1118">#1118</a></li>
        <li>Fix file upload UI opening twice by <a class="user-mention notranslate" data-hovercard-type="user" data-hovercard-url="/users/zachgoll/hovercard" data-octo-click="hovercard-link-click" data-octo-dimensions="link_type:self" href="https://github.com/zachgoll">@zachgoll</a> in <a class="issue-link js-issue-link" data-error-text="Failed to load title" data-id="2483259912" data-permission-text="Title is private" data-url="https://github.com/maybe-finance/maybe/issues/1119" data-hovercard-type="pull_request" data-hovercard-url="/maybe-finance/maybe/pull/1119/hovercard" href="https://github.com/maybe-finance/maybe/pull/1119">#1119</a></li>
        </ul>
        <p dir="auto"><strong>Full Changelog</strong>: <a class="commit-link" href="https://github.com/maybe-finance/maybe/compare/v0.1.0-alpha.15...v0.1.0-alpha.16"><tt>v0.1.0-alpha.15...v0.1.0-alpha.16</tt></a></p>
  recorded_at: Mon, 09 Sep 2024 20:03:35 GMT
recorded_with: VCR 6.3.1
